@import "colors.css";
@import "fonts.css";
@import "typography.css";

html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure, figcaption, footer, header, menu, nav, output, ruby, section, summary, time, mark, audio, video {
    border: 0 none;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    vertical-align: baseline;
}
article, aside, details, figcaption, figure, footer, header, menu, nav, section {
    display: block
}
input[type="text"], input[type="email"], input[type="password"], input[type="tel"] {
    background: #fff;
    border: 1px solid var(--light-gray);
    font-size: 0.875rem;
    padding: 0.75rem 1.214rem;
    line-height: 1.43em;
    display: block;
    width: 100%;
    margin: 0 0 5px 0;
    font-family: var(--main-font);
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    outline: none;
    box-shadow: none;
    color: #000;
}
::-webkit-input-placeholder { 
    color: var(--placeholder-color);
    opacity: 1;
}
::-moz-placeholder { 
    color: var(--placeholder-color);
    opacity: 1;
}
:-ms-input-placeholder {
    color: var(--placeholder-color);
    opacity: 1;
}
:-moz-placeholder { 
    color: var(--placeholder-color);
    opacity: 1;
}
h2 {
    font-size: 1.25rem;
    font-family: var(--secondary-font);
    font-weight: 600;
    margin-bottom: 2.625rem;
}
button {
    outline: none;
    cursor: pointer;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
html {
    font-size: 16px;
}
body {
    font-family: var(--main-font);
    background: #fff;
    color: var(--dark-gray);
    padding-top: 119px;
}
a {
    color: inherit;
    text-decoration: none;
}
header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 2.313rem 4.875rem;
    border-bottom: 1px solid var(--light-gray);
    position: fixed;
    background: #fff;
    width: 100%;
    left: 0;
    top: 0;
	z-index: 2;
}
.header-menu-btn {
    border: 0;
    background: var(--dark-gray);
    color: #fff;
    display: flex;
    width: 40px;
    min-width: 40px;
    height: 40px;
    align-items: center;
    justify-content: center;
}
.header-user-btn {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    color: var(--secondary-color);
    font-weight: 600;
    text-decoration: none;
}
.header-user-btn span:last-child {
    display: inline-block;
    margin-left: 0.875rem;
    font-size: 1.125rem;
}
.main-menu {
    position: fixed;
    left: -300px;
    top: 119px;  
    height: calc(100vh - 119px);
    overflow: auto;
    background: #fff;
    width: 300px;
    -webkit-box-shadow: 0px 10px 10px 0px rgba(0,0,0,0.18);
    -moz-box-shadow: 0px 10px 10px 0px rgba(0,0,0,0.18);
    box-shadow: 0px 10px 10px 0px rgba(0,0,0,0.18);
    transition: all 0.5s ease;
}
.main-menu ul li {
    display: block;
}
.main-menu ul li a {
    padding: 1rem 1.5rem 1rem 4.875rem;
    display: block;
    transition: all 0.5s ease;
}
.main-menu ul li a:hover, .main-menu ul li a.active {
    background: var(--secondary-color);
    color: #fff;
}
.main-menu.open {
    left: 0;
}
.header-user-wrap {
    position: relative;
    padding: 1rem 0;
}
.header-user-wrap ul {
    position: absolute;
    right: 0;
    top: 100%;
    background: #fff;
    -webkit-box-shadow: 5px 0 10px 0px rgba(0,0,0,0.18);
    -moz-box-shadow: 5px 0 10px 0px rgba(0,0,0,0.18);
    box-shadow: 5px 0 10px 0px rgba(0,0,0,0.18);
    min-width: 180px;
    display: none;
}
.header-user-wrap ul li {
    display: block;
}
.header-user-wrap ul li a {
    display: block;
    padding: 0.8rem 1rem;
}
.header-user-wrap ul li a:hover {
    color: var(--secondary-color);
}
.d-flex {
    display: flex;
    flex-wrap: wrap;
}
.justify-center {
    justify-content: center;
}
.justify-space-between {
    justify-content: space-between;
}
.align-center {
    align-items: center;
}
.text-center {
    text-align: center;
}
.color-secondary {
    color: var(--secondary-color) !important;
}
.button {
    background: var(--secondary-color);
    border: 1px solid var(--secondary-color);
    color: #fff;
    border-radius: 0;
    font-size: 1rem;
    font-weight: 600;
    padding: 0.75rem 2.5rem;
    line-height: 1.438em;
    text-align: center;
    display: inline-block;
    vertical-align: middle;
    transition: all 0.5s ease;
    min-width: 9.5rem;
}
.button.button-white {
    background: #fff;
    border: 1px solid var(--dark-gray);
    color: var(--dark-gray);
}
.button:hover {
    background: #fff;
    color: var(--secondary-color);
}
.button.button-white:hover {
    color: #fff;
    background: var(--dark-gray);
}
.return-btn {
    font-weight: 600;
    font-size: 1rem;
    text-decoration: none;
    display: flex;
    align-items: center;
}
.return-btn:before {
    content: "\e903";
    font-family: 'icomoon';
    display: inline-block;
    margin-right: 0.5rem;
    font-size: 0.57rem;
}
main {
    padding: 5.25rem 4.875rem;
}
.login-page {
    display: flex;
    min-height: 100vh;
    align-items: center;
    justify-content: center;
    padding: 0 4.875rem;
}
.login-box {
    background: var(--primery-color);
    width: 100%;
    max-width: 764px;
    padding: 20px;
}
.login-box img {
    display: block;
    margin: 0 auto 2rem;
}
.login-form {
    max-width: 458px;
    margin: 0 auto;
    padding: 4.375rem 0;
}
.form-fieldset {
    display: block;
    border: 0;
    margin: 0 0 20px 0;
}
.form-fieldset label {
    display: block;
    margin: 0 0 4px 0;
    color: var(--dark-gray);
    font-size: 1rem;
}
.form-fieldset label span {
    color: var(--error-color);
}
.form-fieldset label.error {
    font-size: 0.875rem;
    color: red;
    margin: 0;
}
.login-form .button {
    margin-bottom: 2rem;
}
.register-box {
    background: var(--primery-color);
    width: 100%;
    max-width: 764px;
    padding: 20px;
    margin: 0 auto;
}
.register-form {
    max-width: 500px;
    margin: 0 auto;
    padding: 2.5rem 0;
}
.select2 {
    width: 100% !important;
    font-family: var(--main-font);
    font-size: 0.875rem;
}
.select2-container--default .select2-selection--single {
    border: 1px solid var(--light-gray);
    border-radius: 0;
    height: 2.875rem;
}
.select2-container--default .select2-selection--single .select2-selection__rendered {
    color: #000;
    padding: 0 1.214rem;
    line-height: 2.875rem;
}
.select2-container--default .select2-selection--single .select2-selection__placeholder {
    color: var(--placeholder-color);
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 100%;
    width: auto;
    right: 1.214rem;
    display: flex;
    align-items: center;
}
.select2-container--default .select2-selection--single .select2-selection__arrow b {
    display: none;
}
.select2-container--default .select2-selection--single .select2-selection__arrow:after {
    font-family: 'icomoon';
    content: "\e902";
    font-size: 0.438rem;
    color: var(--dark-gray);
}
.select2-results__option {
    padding: 0.5rem 1.214rem;
    font-size: 0.875rem;
    font-family: var(--main-font);
    background: none !important;
    color: var(--dark-gray) !important;
}
.select2-dropdown {
    border-color: var(--light-gray);
}
.dashboard-box {
    background: var(--box-background);
    max-width: 1202px;
    margin: 0 auto;
    padding: 2.813rem 4.625rem;
}
.dashboard-links {
    list-style: none;
    margin: 0 -1.438rem;
    display: flex;
    flex-wrap: wrap;
    font-family: var(--secondary-font);
    font-weight: 500;
    font-size: 1.125rem;
    line-height: 1.563em;
    justify-content: center;
}
.dashboard-links li {
    padding: 0 1.438rem;
    margin: 1.188rem 0;
    flex: 33.33%;
    max-width: 366px;
    min-width: 366px;
    width: 100%;
}
.dashboard-links li a {
    background: #fff;
    border: 1px solid var(--primery-color);
    padding: 1.25rem;
    min-height: 6rem;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    transition: all 0.5s ease;
}
.dashboard-links li a:hover {
    background: var(--secondary-color);
    color: #fff;
}
.dashboard-links-small {
    flex-direction: column;
    align-items: center;
}
.dashboard-links-small li a {
    min-height: 7.75rem;
}
.box {
    background: var(--box-background);
    max-width: 1278px;
    margin: 0 auto;
    padding: 3.125rem 3.75rem;
}
.box > div {
    padding: 1.625rem 2rem;
    background: #fff;
    margin: 0 auto;
}
.box-nav {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1.25rem;
}
.box-nav .return-btn {
    margin-bottom: 0.5rem;
}
.box-nav-actions .button {
    margin-left: 1.125rem;
    margin-bottom: 0.5rem;
}
.box-top {
    margin-bottom: 1.25rem;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
}
.box-top > div {
    margin-bottom: 1.125rem;
}
.box-top-info {
    font-size: 1.25rem;
    font-weight: 600;
}
.box-top-info > span:first-child {
    margin-right: 1.375rem;
    margin-top: 0.3rem;
    display: inline-block;
}
.box-top h3 {
    font-size: 1.25rem;
    color: var(--secondary-color);
    font-family: var(--secondary-font);
    font-weight: 700;
}
.tag-label {
    background: var(--light-gray);
    font-size: 0.875rem;
    font-weight: 600;
    line-height: 1.429em;
    display: inline-block;
    padding: 0.375rem 0.5rem;
    color: var(--secondary-color);
}
.box-top-filters {
    display: flex;
    align-items: flex-start;
}
.search-form {
    position: relative;
}
.search-form input {
    border-color: var(--dark-gray);
    width: 25.1rem;
    margin: 0 0.5rem 0 0;
}
.search-form button {
    position: absolute;
    right: 1.3rem;
    top: 0;
    border: 0;
    font-size: 1.07rem;
    height: 100%;
    display: flex;
    align-items: center;
    background: none;
    color: var(--secondary-color);
    padding: 0;
}
.search-form button:after {
    content: "\e905";
    font-family: 'icomoon';
}
.filter-button {
    border: 1px solid var(--dark-gray);
    width: 2.875rem;
    height: 2.875rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #fff;
    padding: 0;
    color: var(--secondary-color);
    font-size: 1.063rem;
}
.data-table {
    min-width: 100%;
    background: #fff;
    border: 0;
    border-spacing: 0;
    border-collapse: collapse;
    font-size: 1.125rem;
    line-height: 1.333em;
}
.data-table a {
    color: var(--secondary-color);
    font-weight: 600;
}
.data-table-wrap {
    overflow: auto;
}
.data-table th {
    background: var(--primery-color);
    text-align: left;
    padding: 1.563rem 1rem;
    font-family: var(--secondary-font);
    vertical-align: middle;
    white-space: nowrap;
}
.data-table td {
    padding: 1.563rem 1rem;
    text-align: left;
    border-top: 1px solid var(--box-background);
    vertical-align: middle;
    min-width: 190px;
}
.data-table tr:nth-child(even) td{
    background: var(--box-background);
}
.data-table .data-table-action {
    font-size: 1.15rem;
    display: inline-block;
    margin-right: 1.15rem;
    color: var(--dark-gray);
}
.pagination {
    border-top: 1px solid var(--pagination-border);
    padding: 1.875rem 0;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    align-items: center;
}
.pagination ul {
    list-style: none;
    display: flex;
    text-align: center;
}
.pagination ul li a {
    display: flex;
    width: 2.5rem;
    height: 2.5rem;
    text-align: center;
    justify-content: center;
    align-items: center;
    font-weight: 600;
    color: var(--pagination-text-color);
}
.pagination ul li a.active {
    color: #fff;
    background: var(--secondary-color);
}
.page-nav {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    color: var(--pagination-text-color);
    font-weight: 600;
}
.page-nav input {
    width: 64px;
    border: 2px solid var(--pagination-input-border);
    margin: 0 1rem;
    font-size: 1rem;
    padding: 0.54rem;
    font-weight: 600;
    text-align: center;
}
.page-nav a {
    color: var(--secondary-color);
}
.page-nav a:after {
    content: "\e908";
    font-family: 'icomoon';
    font-size: 0.56rem;
    display: inline-block;
    margin-left: 0.563rem;
}
.popup {
    position: fixed;
    top: 0;
    left: 0;
    display: none;
    padding: 20px;
    width: 100%;
    height: 100%;
}
.popup > div {
    display: flex;
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: center;
}
.popup .popup-content {
    max-width: 436px;
    width: 100%;
    padding: 2.25rem 2.5rem;
    background: #fff;
    -webkit-box-shadow: 0px 0px 20px 0px rgba(0,0,0,0.18);
    -moz-box-shadow: 0px 0px 20px 0px rgba(0,0,0,0.18);
    box-shadow: 0px 0px 20px 0px rgba(0,0,0,0.18);
    border: 1px solid var(--light-gray);
}
.popup-content h2 {
    margin: 0 0 0.5rem;
    font-weight: 700;
}
.popup-content p {
    margin: 0 0 0.75rem 0;
}
.popup-actions {
    text-align: center;
    margin: 0 -0.75rem;
}
.popup-actions .button {
    margin: 0.625rem 0.75rem 0;
}
.simulations-box {
    padding-top: 4.688rem;
    padding-bottom: 4.688rem;
}
.simulations-box > div {
    max-width: 931px;
    padding: 1.625rem 2.688rem; 
}
.simulations-list {
    list-style: none;
}
.simulations-list li {
    padding: 1.188rem 0.875rem 1.188rem 2.875rem;
    font-size: 1.125rem;
    font-weight: 500;
    align-items: center;
    display: flex;
}
.simulations-list li > div:first-child {
    flex: 1;
    padding: 0.5rem 1.188rem 0.5rem 0;
}
.simulations-list li > div.col-27 {
    flex: 0 0 27%;
    padding: 0 0.5rem;
}
.simulations-list li:nth-child(even) {
    background: var(--box-background);
}
.simulations-list .button {
    min-width: 5rem;
    padding: 0.5rem;
}
@media only screen and (max-width: 1024px) {
    header { padding: 20px; }
    body { padding-top: 95px; }
    main { padding: 30px 20px; }
    .dashboard-box { padding: 20px; }
    .dashboard-links li { max-width: 100%; }
    header div:nth-child(2) { max-width: 60%; }
    header div:nth-child(2) img { max-width: 100%; }
    .main-menu { height: calc(100vh - 95px); top: 95px; }
    .box { padding: 20px; }
}
@media only screen and (max-width: 768px) {
    .dashboard-links li { margin: 0.8rem 0; min-width: 100%; }
    .register-form { padding: 20px 0; }
    h2 { margin-bottom: 20px; }
    .box-top-filters { width: 100%; }
    .box-top-filters .search-form { flex: 1; }
    .search-form input { width: 100%; }
    .box-top-info > span:first-child { margin-right: 0; width: 100%; }
    .data-table { font-size: 1rem; }
    .data-table th { padding: 1rem; }
    .data-table td { padding: 1rem; }
    .box > div { padding: 20px; }
    .popup .popup-content { padding: 20px; }
    .box-nav-actions .button { margin-left: 0.5rem; margin-right: 0.5rem; flex: 1; } 
    .box-nav .box-nav-actions { width: 100%; }
    .box-nav .box-nav-actions form { display: flex; flex-wrap: wrap; }
    .header-user-name { display: none; }
}